## ncsa.hdf.hdflib
Class HDFCompInfo

    java.lang.Object
      ncsa.hdf.hdflib.HDFCompInfo

Direct Known Subclasses:
  HDFNewCompInfo, HDFOldCompInfo

    public class HDFCompInfo

extends java.lang.Object

This class is a container for the parameters to the HDF comp_info union.

The parameters for different compression schemes are represented as sub-classes of this class

For details of the HDF libraries, see the HDF Documentation at: http://hdf.ncsa.uiuc.edu

Field Summary
`int` `ctype`

Constructor Summary
`HDFCompInfo()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ctype

    public int ctype

Constructor Detail

### HDFCompInfo

    public HDFCompInfo()